package de.hsel.itech.jsf;

import de.hsel.itech.db.Database;
import de.hsel.itech.db.pojo.ShoppingCartItem;
import de.hsel.itech.db.pojo.User;
import lombok.Getter;
import lombok.Setter;

import javax.faces.annotation.ManagedProperty;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import java.util.ArrayList;
import java.util.List;

@ManagedBean
@RequestScoped
public class CartBean {

    @Getter
    @Setter
    @ManagedProperty("#{userBean.user}")
    private User user;

    public List<ShoppingCartItem> getItems(){
        Database db = Database.getInstance();
        if(user==null){
            return new ArrayList<ShoppingCartItem>();
        }
        return db.shoppingCart().get(user);
    }

    public void setItems(List<ShoppingCartItem> list) {

    }

    public int getItemCount(){
        return getItems().size();
    }

}
